Issue 120570 - Save keyboard configuration dialog displays "Load Keyboard Configuration" title
Save keyboard configuration dialog displays "Load Keyboard Configuration" title
Status: VERIFIED FIXED
Product: General
Classification: Code
Component: code
3.4.0
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 16:02 UTC by TAB
Modified: 2013-03-01 00:48 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: 3.4.1
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description TAB 2012-08-14 16:02:30 UTC
Under Tools/Customize/Keyboard, click Save:
this opens a window titled 'Load Keyboard Configuration'. It should be 'Save...'.
Comment 1 Ariel Constenla-Haile 2012-08-15 08:37:44 UTC
The dialog itself is not wrong, it's only the title.

main/cui/source/customize/acccfg.cxx is using the wrong string:

IMPL_LINK( SfxAcceleratorConfigPage, Save, Button*, EMPTYARG )
{
    StartFileDialog( WB_SAVEAS | WB_STDMODAL | WB_3DLOOK, aLoadAccelConfigStr );
    return 0;
}


It should be 

IMPL_LINK( SfxAcceleratorConfigPage, Save, Button*, EMPTYARG )
{
    StartFileDialog( WB_SAVEAS | WB_STDMODAL | WB_3DLOOK, aSaveAccelConfigStr );
    return 0;
}
Comment 2 SVN Robot 2012-08-15 08:44:51 UTC
"arielch" committed SVN revision 1373272 into trunk:
#i120570# - Fix title in "Save Keyboard Configuration" dialog
Comment 3 Ariel Constenla-Haile 2012-08-15 09:36:03 UTC
Fixed on trunk
Comment 4 Javier Lopez 2013-03-01 00:48:33 UTC
Hello 
I was checking this and it's true, I finded Load Keyboard Configuration (En I was checking this and it's true, I did find Load Keyboard Configuration (En español: Cargar configuración del Teclado) maybe it's not wrong but I think that it's should be "SAVE" and not "LOAD"

It was found in platform W7 34BITS AOO 3.4.1

Javier